<?php declare(strict_types=1);

namespace App\Dto\Request\Api\V1\Captcha;

use App\Dto\HttpUserData;
use App\Dto\Request\Dto;
use App\Models\CaptchaToken;

final readonly class CaptchaPublicToken extends Dto
{
    public function __construct(
        private CaptchaToken $captchaToken,
        private HttpUserData $httpUserData
    ) { }

    public function getCaptchaToken(): CaptchaToken
    {
        return $this->captchaToken;
    }

    public function getHttpUserData(): HttpUserData
    {
        return $this->httpUserData;
    }
}
